#
# spec file for package python-zope.testbrowser
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.testbrowser
Version:        4.0.4
Release:        1.1
Summary:        Programmable browser for functional black-box tests
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/zope.testbrowser
Source:         http://pypi.python.org/packages/source/z/zope.testbrowser/zope.testbrowser-%{version}.zip
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
# Test requirements:
# BuildRequires:  python-WebTest
# BuildRequires:  python-zope.testing
# runtime requirements
BuildRequires:  python-mechanize >= 0.2.0
BuildRequires:  python-pytz
BuildRequires:  python-zope.interface
BuildRequires:  python-zope.schema
Requires:       python-mechanize >= 0.2.0
Requires:       python-pytz
Requires:       python-zope.interface
Requires:       python-zope.schema
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
zope.testbrowser provides an easy-to-use programmable web browser
with special focus on testing.  It is used in Zope, but it's not Zope
specific at all.  For instance, it can be used to test or otherwise
interact with any web site.

%prep
%setup -q -n zope.testbrowser-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_prefix}

#NOTE(saschpe): Check broken doctests:
#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.rst LICENSE.rst README.rst
%{python_sitelib}/*

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.4:
  * Removed the ‘WebTest <= 1.3.4’ version pin, fixed tests to work
    with modern WebTest versions (issue #10).
- additional changes from version 4.0.3:
    pinning version ‘WebTest <= 1.3.4’, because of some
    incompatibility and test failures
  * Make zope.testbrowser installable via pip (issue #6).
  * When Browser.handleErrors is False, also add
    x-wsgiorg.throw_errors to the environment.
    http://wsgi.org/wsgi/Specifications/throw_errors
  * Prevent WebTest from always sending paste.throw_errors=True in
    the environment by setting it to None when Browser.handleErrors
    is True. This makes it easier to test error pages.
  * Made Browser.submit() handle raiseHttpErrors (PR #4).
  * More friendly error messages from getControl() et al:
    + when you specify an index that is out of bounds, show the
    available choices
    + when you fail to find anything, show all the available items
- switch the source archive to zip (tar.gz not available)
- add unzip to BuildRequires
- add fdupes as BuildRequires and call it after install
- set a minimum version for python-mechanize
- update the test requirements (still commented, the tests fail)
- add the runtime requirements as build requirements to ensure
  their availability
- update the documentation files
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Mar 25 2013 speilicke@suse.com
- More on testing
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
